> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payment Item

> Update fields on an existing payment item by paymentItemID.

Updates an existing [Payment Item](/reference/payment-items/payment-item-object).

<Note>
  `earning_type` cannot be changed from rate-based to fixed amount or vice versa.
</Note>


## OpenAPI

````yaml openapi/zeal-api.json patch /payment-items
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /payment-items:
    patch:
      summary: Update Payment Item
      operationId: post_service-types-1-3
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                companyID:
                  type: string
                  description: ID of company
                paymentItemID:
                  type: string
                  description: ID of payment item
                contractorPaymentID:
                  type: string
                  description: >-
                    ID of contractor payment that this payment item will be
                    added to
                work_info:
                  type: object
                  description: ''
                  properties:
                    work_description:
                      type: string
                      description: Custom description of payment item
                    service_date:
                      type: string
                      description: Datetime (ISO 8601) of when service was completed
                earning_type:
                  type: string
                  description: >-
                    **Note: `earning_type` cannot be changed from rate-based to
                    fixed amount or vice versa.**
                  enum:
                    - hourly
                    - per_unit
                    - flat_fee
                    - expense_reimbursement
                    - bonus
                quantity:
                  type: number
                  description: Only required if `earning_type` is `hourly` or `per_unit`
                  format: float
                rate:
                  type: number
                  description: Only required if `earning_type` is `hourly` or `per_unit`
                  format: float
                bill_rate:
                  type: number
                  description: Only applicable if `earning_type` is `hourly` or `per_unit`
                  format: float
                gross_amount:
                  type: number
                  format: float
                  description: >-
                    Only required if `earning_type` is `flat_fee`,
                    `expense_reimbursement`, or `bonus`
                bill_amount:
                  type: string
                  description: >-
                    Only applicable if `earning_type` is `flat_fee`,
                    `expense_reimbursement`, or `bonus`
              required:
                - companyID
                - paymentItemID
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties: {}
                    description: Contains Payment Item object
                  testMode:
                    type: boolean
              examples:
                New Example:
                  summary: New Example
                  value:
                    success: true
                    data:
                      paymentItemID: 0083fb3bae9d4915adc133c6d6548f89
                      companyID: fc235f012bae46aa8a082f357715bcfa
                      contractorID: 669fe6216d9eff8ca4c9f0de
                      contractorPaymentID: 68ffb95239326ca8713eadb1
                      work_info:
                        work_description: Construction development work
                        service_date: '2025-10-15T00:00:00.000Z'
                      payment_type: hourly
                      quantity: 25
                      rate: 100
                      bill_rate: 175
                    testMode: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````